package com.steerinfo.ems.tcm0318.mapper;

import com.steerinfo.ems.tcm0318.model.TCm0318;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TCm0318Mapper extends IBaseMapper<TCm0318, String> {
    List<TCm0318> dataQuery(Map<String, Object> parameters);
    void deleteprevious(Map<String, Object> parameters);
    String checkmaxdate(String planid);
    List<TCm0318> qualityassessment(Map<String, Object> parameters);
    
    /**
     * 水质历史数据对比分析查询
     * @param parameters
     * @return
     */
    List<Map<String, Object>> datacomparison(Map<String, Object> parameters);
    List<TCm0318> getByCode(Map<String, Object> parameters);
}